# class Module

Also, modules included into Object need to be scanned and have their instance methods removed from blank slate. In theory, modules included into Kernel would have to be removed as well, but a “feature” of Ruby prevents late includes into modules from being exposed in the first place.

### Public Instance Methods

append_features(mod) click to toggle source

    # File lib/blankslate.rb, line 129
    def append_features(mod)
      result = blankslate_original_append_features(mod)
      return result if mod != Object
      instance_methods.each do |name|
        BlankSlate.hide(name)
      end
      result
    end

Also aliased as: blankslate_original_append_features
blankslate_original_append_features(mod)
Alias for: append_features